EnterpriseApi
All URIs are relative to https://business.apis.kesk.app/v1
| Method | HTTP request | Description |
|---|---|---|
| addEnterpriseDomain | POST /enterprises/{enterprise_id}/domains | Add domain to enterprise |
| developerDeleteEnterpriseDomain | DELETE /enterprises/{enterprise_id}/domains/{domain_id} | Delete enterprise domain |
| developerListEnterpriseDomains | GET /enterprises/{enterprise_id}/domains | List enterprise domains |
| developerUpdateEnterpriseDomain | PUT /enterprises/{enterprise_id}/domains/{domain_id} | Update enterprise domain |
| developerVerifyEnterpriseDomain | POST /enterprises/{enterprise_id}/domains/{domain_id}/verify | Verify domain |
| getDomainVerificationInstructions | GET /enterprises/{enterprise_id}/domains/{domain_id}/verification | Get domain verification instructions |
addEnterpriseDomain
EnterpriseDomainResponse addEnterpriseDomain(enterprise_id, AddEnterpriseDomainRequest)
Add domain to enterprise
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| enterprise_id | Long | [default to null] | |
| AddEnterpriseDomainRequest | AddEnterpriseDomainRequest |
Return type
Authorization
HTTP request headers
- Content-Type: application/json; charset=utf-8
- Accept: application/json; charset=utf-8
developerDeleteEnterpriseDomain
DeleteResponse developerDeleteEnterpriseDomain(enterprise_id, domain_id)
Delete enterprise domain
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| enterprise_id | Long | [default to null] | |
| domain_id | Long | [default to null] |
Return type
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json; charset=utf-8
developerListEnterpriseDomains
PaginatedResponse_EnterpriseDomainResponse developerListEnterpriseDomains(enterprise_id, page, per_page)
List enterprise domains
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| enterprise_id | Long | [default to null] | |
| page | Long | [optional] [default to null] | |
| per_page | Long | [optional] [default to null] |
Return type
PaginatedResponse_EnterpriseDomainResponse
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json; charset=utf-8
developerUpdateEnterpriseDomain
EnterpriseDomainResponse developerUpdateEnterpriseDomain(enterprise_id, domain_id, UpdateEnterpriseDomainRequest)
Update enterprise domain
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| enterprise_id | Long | [default to null] | |
| domain_id | Long | [default to null] | |
| UpdateEnterpriseDomainRequest | UpdateEnterpriseDomainRequest |
Return type
Authorization
HTTP request headers
- Content-Type: application/json; charset=utf-8
- Accept: application/json; charset=utf-8
developerVerifyEnterpriseDomain
DomainVerifyResponse developerVerifyEnterpriseDomain(enterprise_id, domain_id)
Verify domain
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| enterprise_id | Long | [default to null] | |
| domain_id | Long | [default to null] |
Return type
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json; charset=utf-8
getDomainVerificationInstructions
DomainVerificationInstructions getDomainVerificationInstructions(enterprise_id, domain_id)
Get domain verification instructions
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| enterprise_id | Long | [default to null] | |
| domain_id | Long | [default to null] |
Return type
DomainVerificationInstructions
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json; charset=utf-8